package org.jeecg.ctop.material.entity;

import java.io.Serializable;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;

/**
 * 分公司总经理&销售总监阶段性目标值
 * @author jeecg-boot
 * @date   2022-04-14
 * @version V1.0
 */
@Data
@TableName("sys_manager_sale_value")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="sys_manager_sale_value对象", description="分公司总经理&销售总监阶段性目标值")
public class ManagerSaleValue {
    
	/**id*/
	@TableId(type = IdType.UUID)
    @ApiModelProperty(value = "id")
	private String id;
	/**经理id*/
	@Excel(name = "经理id", width = 15)
    @ApiModelProperty(value = "经理id")
	private String userId;
	/**公司id*/
	@Excel(name = "公司id", width = 15)
    @ApiModelProperty(value = "公司id")
	private String companyId;
	/**媒体，1头条，2快手*/
	@Excel(name = "媒体，1头条，2快手", width = 15)
    @ApiModelProperty(value = "媒体，1头条，2快手")
	private Integer mediaId;
	/**快手消耗目标值*/
	@Excel(name = "快手消耗目标值", width = 15)
    @ApiModelProperty(value = "快手消耗目标值")
	private String weeklyGoalValue;
	/**快手消耗目标值*/
	@Excel(name = "快手消耗目标值", width = 15)
    @ApiModelProperty(value = "快手消耗目标值")
	private String monthlyGoalValue;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getCompanyId() {
        return companyId;
    }

    public void setCompanyId(String companyId) {
        this.companyId = companyId;
    }

    public Integer getMediaId() {
        return mediaId;
    }

    public void setMediaId(Integer mediaId) {
        this.mediaId = mediaId;
    }

    public String getWeeklyGoalValue() {
        return weeklyGoalValue;
    }

    public void setWeeklyGoalValue(String weeklyGoalValue) {
        this.weeklyGoalValue = weeklyGoalValue;
    }

    public String getMonthlyGoalValue() {
        return monthlyGoalValue;
    }

    public void setMonthlyGoalValue(String monthlyGoalValue) {
        this.monthlyGoalValue = monthlyGoalValue;
    }
}
